Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePipeline LifecyclePOST /v0/pipelines/{pipeline_name}/rebalance

Initiate rebalancing.

POST/v0/pipelines/{pipeline_name}/rebalancePipeline Lifecycle

Try it

POST/v0/pipelines/{pipeline_name}/rebalance
Authentication
Parameters

Initiate immediate rebalancing of the pipeline. Normally rebalancing is initiated automatically when the drift in the size of joined relations exceeds a threshold. This endpoint forces the balancer to reevaluate and apply an optimal partitioning policy regardless of the threshold.

This operation is a no-op unless the adaptive_joins feature is enabled in dev_tweaks.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Rebalancing started successfully
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X POST 'https://api.example.com/v0/pipelines/{pipeline_name}/rebalance' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown pipeline name 'non-existent-pipeline'", "error_code": "UnknownPipelineName", "details": { "pipeline_name": "non-existent-pipeline" } }